Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 926062 (qpdfview) - Review Request: qpdfview - Qt-based PDF viewer
Summary: Review Request: qpdfview - Qt-based PDF viewer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: qpdfview
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-03-23 15:12 UTC by Eugene A. Pivnev
Modified: 2015-02-12 04:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 04:51:07 UTC
greg.hellings: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eugene A. Pivnev 2013-03-23 15:12:12 UTC
Spec URL: http://tieugene.fedorapeople.org/qpdfview/qpdfview.spec
SRPM URL: http://tieugene.fedorapeople.org/qpdfview/qpdfview-0.4-1.fc18.src.rpm
Description: qpdfview is a tabbed PDF viewer.
It uses the Poppler library for rendering and CUPS for printing.
It provides a clear and simple graphical user interface using the Qt framework.

Koji builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5161033
http://koji.fedoraproject.org/koji/taskinfo?taskID=5161111
http://koji.fedoraproject.org/koji/taskinfo?taskID=5161154
http://koji.fedoraproject.org/koji/taskinfo?taskID=5161188
http://koji.fedoraproject.org/koji/taskinfo?taskID=5161223

Fedora Account System Username: tieugene

Comment 1 Michael Schwendt 2013-03-24 21:30:25 UTC
This is just a reply to your comment to bug 919044. Here, the License tag should also be "GPLv2+", because that's what the source files say. See:

$ cd qpdfview-0.4
grep "at your option" * -R

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

Comment 2 Eugene A. Pivnev 2013-03-25 09:52:41 UTC
(In reply to comment #1)
> This is just a reply to your comment to bug 919044. Here, the License tag
> should also be "GPLv2+", because that's what the source files say. See:

Fixed.
New URLs:
SPEC: http://tieugene.fedorapeople.org/qpdfview/qpdfview.spec
SRPM: http://tieugene.fedorapeople.org/qpdfview/qpdfview-0.4.1-1.fc18.src.rpm

Next version will have GPLv2+ in README: https://bazaar.launchpad.net/~adamreichold/qpdfview/trunk/view/head:/README
Is it best solution?

Comment 3 Eugene A. Pivnev 2013-03-26 08:10:46 UTC
New version (0.4.1-1).

SPEC: http://tieugene.fedorapeople.org/qpdfview/qpdfview.spec
SRPM: http://tieugene.fedorapeople.org/qpdfview/qpdfview-0.4.1-1.fc18.src.rpm

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5173684
http://koji.fedoraproject.org/koji/taskinfo?taskID=5173696
http://koji.fedoraproject.org/koji/taskinfo?taskID=5173714
http://koji.fedoraproject.org/koji/taskinfo?taskID=5173727
http://koji.fedoraproject.org/koji/taskinfo?taskID=5173732

rpmlint:
bash-4.2$ rpmlint ~/rpmbuild/SPECS/qpdfview.spec ~/rpmbuild/RPMS/i686/qpdfview-0.4.1-1.fc18.i686.rpm ~/rpmbuild/SRPMS/qpdfview-0.4.1-1.fc18.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 greg.hellings 2013-03-28 02:48:08 UTC
I was just looking for this application. Taking for review.

Comment 5 greg.hellings 2013-03-28 03:42:36 UTC
$ rpmlint qpdfview.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint qpdfview-0.4.1-1.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint results_qpdfview/0.4.1/1.fc18/qpdfview-*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ wget --quiet https://launchpad.net/qpdfview/trunk/0.4.1/+download/qpdfview-0.4.1.tar.gz -O - | md5sum
3df95ee6a4c56b714345cb4a27851c97  -

$ md5sum qpdfview-0.4.1.tar.gz 
3df95ee6a4c56b714345cb4a27851c97  qpdfview-0.4.1.tar.gz

[+] The package must be named according to the Package Naming Guidelines .
[+] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
[+] The package must meet the Packaging Guidelines .
[+] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] The License field in the package spec file must match the actual license.
[+] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] The spec file must be written in American English.
[+] The spec file for the package MUST be legible.
[+] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[+] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] Packages must NOT bundle copies of system libraries.
[+] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] Each package must consistently use macros.
[+] The package must contain code, or permissable content.
[+] Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[+] Static libraries must be in a -static package.
[+] Development files must be in a -devel package.
[+] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] All filenames in rpm packages must be valid UTF-8.

I prefer to see BuildRequires on separate lines instead of all cramped onto one line. It improves the legibility, exceptions being if there are sets of closely related BRs. But I won't hold up a package over that. This list of BRs is short enough it is still legible on a single line.

Approved.

Comment 6 Eugene A. Pivnev 2013-03-28 06:10:50 UTC
(In reply to comment #5)
> I prefer to see BuildRequires on separate lines instead of all cramped onto
> one line. It improves the legibility, exceptions being if there are sets of
> closely related BRs. But I won't hold up a package over that. This list of
> BRs is short enough it is still legible on a single line.
> 
> Approved.

I'll correct BP in next release (0.4.2).
Thank you.

Comment 7 Eugene A. Pivnev 2013-03-28 06:20:15 UTC
New Package SCM Request
=======================
Package Name: qpdfview
Short Description: Qt-based PDF viewer
Owners: tieugene
Branches: f17 f18 f19 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-28 11:03:35 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-03-29 09:16:05 UTC
qpdfview-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qpdfview-0.4.1-1.el6

Comment 10 Fedora Update System 2013-03-29 09:18:04 UTC
qpdfview-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpdfview-0.4.1-1.fc17

Comment 11 Fedora Update System 2013-03-29 09:19:09 UTC
qpdfview-0.4.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpdfview-0.4.1-1.fc18

Comment 12 Eugene A. Pivnev 2013-03-29 13:49:36 UTC
qt-reviews added

Comment 13 Fedora Update System 2013-03-29 21:31:36 UTC
qpdfview-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2013-04-08 00:24:28 UTC
qpdfview-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-04-08 00:24:39 UTC
qpdfview-0.4.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-04-18 18:12:11 UTC
qpdfview-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Eugene A. Pivnev 2014-09-26 10:19:48 UTC
New Package SCM Request
=======================
Package Name: qpdfview
Short Description: Qt-based PDF viewer
Owners: tieugene
Branches: epel7

Comment 18 Gwyn Ciesla 2014-09-26 12:06:43 UTC
Git done (by process-git-requests).

Comment 19 greg.hellings 2014-12-02 05:56:53 UTC
Eugene, did you ever get around to pushing this? I see it in yum now, but the bug is still listed open.


Note You need to log in before you can comment on or make changes to this bug.